commit:     cb26b30a4eef99c6098f74a7963911ef8ca0c23f
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 16 19:35:00 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Oct 16 19:35:00 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb26b30a

dev-python/pyotherside: Version bump to 1.5.3

Package-Manager: Portage-2.3.11, Repoman-2.3.3

 dev-python/pyotherside/Manifest                 |  1 +
 dev-python/pyotherside/pyotherside-1.5.3.ebuild | 40 +++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/pyotherside/Manifest b/dev-python/pyotherside/Manifest
index 9248eff7f57..1eac1405e80 100644
--- a/dev-python/pyotherside/Manifest
+++ b/dev-python/pyotherside/Manifest
@@ -1 +1,2 @@
 DIST pyotherside-1.5.1.tar.gz 181457 SHA256 
cb29853d66d2e33f68e28c62c28d054512ab82a763fed8b7b7df9dae722c5de2 SHA512 
6f916ce44615c98aa7dffaee073fcb6d7f117996c008c0e3c0e7a8aaedd03f9ba853cc66850112dfc9529d698bd2faeb498a87a0d47c3776ab52b90f83b7067a
 WHIRLPOOL 
ad6693efa3aa3a15924010144bb46632fd512fb1af360e56972ddfd28631ff381c06c505acd40b57becb5010c324f4ccc509b3d49ed3716f87b4252027a94405
+DIST pyotherside-1.5.3.tar.gz 181811 SHA256 
00049d5f42cac448368bc2a521edb8de36bb6d2a624e195b7f1004236758b805 SHA512 
ff6aa43e72f5492b18403559514e6fdf0d2cee0965556fcafe5fe394b654a7dd2fc3a7d64d4b8f9c0ebf95485821b77022407772b2414539f2ab287e1fb01e93
 WHIRLPOOL 
1b515d4d64e47c015979a70214a99151d8449fc9991bccdc524ee64c2d2e36159c61c0b8191054e2062ffe4f86b33b6d370ba8932960a8b0ef0889f76961b999

diff --git a/dev-python/pyotherside/pyotherside-1.5.3.ebuild 
b/dev-python/pyotherside/pyotherside-1.5.3.ebuild
new file mode 100644
index 00000000000..4893f2c2428
--- /dev/null
+++ b/dev-python/pyotherside/pyotherside-1.5.3.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit qmake-utils python-single-r1
+
+DESCRIPTION="Asynchronous Python 3 Bindings for Qt 5"
+HOMEPAGE="https://github.com/thp/pyotherside http://thp.io/2011/pyotherside";
+SRC_URI="https://github.com/thp/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE=""
+
+RDEPEND="${PYTHON_DEPS}
+       dev-qt/qtcore:5
+       dev-qt/qtdeclarative:5
+       dev-qt/qtgui:5
+       dev-qt/qtsvg:5
+       "
+DEPEND="${RDEPEND}"
+
+RESTRICT="test"
+
+src_prepare() {
+       sed -i -e "s/qtquicktests//" pyotherside.pro || die
+}
+
+src_configure() {
+       eqmake5
+}
+
+src_install() {
+       emake install INSTALL_ROOT="${D}"
+}

Reply via email to